html{
    font-size: 10px;
    --font-OS: 'Rosario', sans-serif;
    --font-color_black: #000000;
    --font-color_white-header: #FFFCFC;
    --font-color_white_card_barber: #FFFAFA;
    --font-color_gray: rgba(0, 0, 0, 0.5);
}

body{
    margin: 0;
    padding: 0;
    font-family: var(--font-OS);
}

.Gallery, .Services, .Team {
    height: 90vh;
}

.Contact {
    height: 80vh;
}

footer {
    height: 10vh;
}

a{
    text-decoration: none;
    color: var(--black);
}

header {
    display: block;
    z-index: 1;
    height: 10vh;
    display: flex;
    justify-content: space-between;
    position: sticky;
    top: 0;
    padding: 0 2% 0 0;
    font-size: 220%;
    font-weight: 700;
    background-color: black;
}


.logo{
    background-color: #FFFBFB;
}

.logo > img{
    height: 110%;
}

.nav_header{
    display: flex;
    justify-content: space-between;
    width: 53%;
    align-items: center;
    font-style: italic;
    color: var(--font-color_white-header);
}

/*Page 1*/

.Gallery{
    display: flex;
    justify-content: space-around;
}

.block_cards_center{
    display: flex;
    justify-content: center;
    flex-direction: column;
}

.block_cards_center1-1{
    padding: 1.5% 0%;
    animation: animation_card_center_left 1s linear 0.5;
}

.block_cards_center1-2{
    padding: 1.5% 0%;
    animation: animation_card_center_right 1s linear 0.5;
}

.block_cards_left{
    animation: animation_card_left 2s linear 0.5;
}

.block_cards_right{
    animation: animation_card_right 2s linear 0.5;
}

.block_cards_center1 > img{
    width: 45%;
    margin: 0 1%;
}

.block_cards_center2 > img{
    width: 45%;
    margin: 0 1%;
}

.block_cards1{
    margin: 0 4% 0 2%;
}

.block_cards2{
    margin: 0 2% 0 1%;
}


.block_cards1 > img{
    width: 100%;
    margin: 40% 0%;
}

.block_cards2 > img{
    width: 100%;
    margin: 40% 0%;
}

@keyframes animation_card_center_left {
    from,
    to{
        transform: translate(-100vh, 0);
    }

    50% {
        transform: translate(0, 0);
    }
}

@keyframes animation_card_center_right {
    from,
    to{
        transform: translate(100vh, 0);
    }
    
    50% {
        transform: translate(0, 0);
    }
}    

@keyframes animation_card_left {
    from,
    to{
        transform: translate(-100vh, 0);
    }
    
    50% {
        transform: translate(0, 0);
    }
}
    
@keyframes animation_card_right {
    from,
    to  {
        transform: translate(100vh, 0);
    }
        
    50% {
        transform: translate(0, 0);
    }
}   

/*Page 2*/

.Services{
    display: flex;
    justify-content: space-between;
}

.type_of_haircut_block_one{
    margin: 2% 0 4% 5%;
}

.type_of_haircut_block_two{
    margin: 2% 0 4% 5%;
}

.type_of_haircut{

    animation: animation_page2-1 30s linear infinite;
}

.type_of_haircut2{

    animation: animation_page2-2 30s linear infinite;
}

.type_of_haircut3{

    animation: animation_page2-3 30s linear infinite;
}

.type_of_haircut4{

    animation: animation_page2-4 30s linear infinite;
}

.type_of_haircut > img{
    width: 70%;
}

.type_of_haircut2 > img{
    width: 70%;
}

.type_of_haircut3 > img{
    width: 70%;
}

.type_of_haircut4 > img{
    width: 70%;
}

.type_of_haircut > p{
    font-size: 3.5rem;
    font-weight: 700;
    font-style: italic;
    width: 100%;
    margin: 2% 10% 10%; 
}

.type_of_haircut2 > p{
    font-size: 3.5rem;
    font-weight: 700;
    font-style: italic;
    width: 100%;
    margin: 2% 10% 10%; 
}

.type_of_haircut3> p{
    font-size: 3.5rem;
    font-weight: 700;
    font-style: italic;
    width: 100%;
    margin: 2% 10% 10%; 
}

.type_of_haircut4 > p{
    font-size: 3.5rem;
    font-weight: 700;
    font-style: italic;
    width: 100%;
    margin: 2% 10% 10%; 
}

.page2-image > img{
    height: 90vh;
    width: 100%;
}


@keyframes animation_page2-1 {
    from,
    to{
        transform: translate(0, 0);
    }

    25% {
        transform: translate(41rem, 0);
    }

    50% {
        transform: translate(41rem, 32rem);
    }

    75% {
        transform: translate(0, 32rem);
    }
}

@keyframes animation_page2-2 {
    from,
    to{
        transform: translate(0, 0);
    }

    25% {
        transform: translate(0, -32rem);
    }

    50% {
        transform: translate(41rem, -32rem);
    }

    75% {
        transform: translate(41rem, 0);
    }
}

@keyframes animation_page2-3 {
    from,
    to{
        transform: translate(0, 0);
    }

    25% {
        transform: translate(0, 32rem);
    }

    50% {
        transform: translate(-41rem, 32rem);
    }

    75% {
        transform: translate(-41rem, 0);
    }
}

@keyframes animation_page2-4 {
    from,
    to{
        transform: translate(0, 0);
    }

    25% {
        transform: translate(-41rem, 0);
    }

    50% {
        transform: translate(-41rem, -32rem);
    }

    75% {
        transform: translate(0, -32rem);
    }
}

/*Page 3*/
.team_title {
    font-size: 8rem;
    text-align: center;
    margin-top: 2%;
}

.masters{
    display: flex;
    justify-content: space-around;
    margin: 2%;
}

.master_1{
    background-image: url(../img/Rectangle\ 8\(1\).png);
    background-repeat: no-repeat;
    background-size: 82%;
    width: 34.3%;
    margin: 0 0 0 5%;

}
.master_2{
    background-image: url(../img/Rectangle\ 9\(1\).png);
    background-repeat: no-repeat;
    background-size: 79.6%;
    width: 34.3%;
}
.master_3{
    background-image: url(../img/Rectangle\ 10\(1\).png);
    background-repeat: no-repeat;
    background-size: 81.2%;
    width: 34.3%;
}
.master_4 {
    background-image: url(../img/Rectangle\ 11\(1\).png);
    background-repeat: no-repeat;
    background-size: 80.5%;
    width: 34.3%;
}

.master_1-name{
    background: rgba(163, 83, 10, 0.7);
    font-family: 'Volkhov';
    font-weight: 400;
    color: var(--font-color_white_card_barber);
    font-size: 0%;
    margin: 106.5% 0;
    width: 62%;
    height: 0%;
    text-align: center;
    border-radius: 0 0 29px 29px;
}

.master_2-name{
    background: rgba(163, 83, 10, 0.7);
    font-family: 'Volkhov';
    font-weight: 400;
    color: var(--font-color_white_card_barber);
    font-size: 0%;
    margin: 106.5% 0;
    width: 59.7%;
    height: 0%;
    text-align: center;
    border-radius: 0 0 29px 29px;
    animation: animation_page3-master2 1s linear 0.5;
}

.master_3-name{
    background: rgba(163, 83, 10, 0.7);
    font-family: 'Volkhov';
    font-weight: 400;
    color: var(--font-color_white_card_barber);
    font-size: 0%;
    margin: 106.5% 0;
    width: 61.3%;
    height: 0%;
    text-align: center;
    border-radius: 0 0 29px 29px;
    animation: animation_page3-master3 1s linear 0.5;
}

.master_4-name{
    background: rgba(163, 83, 10, 0.7);
    font-family: 'Volkhov';
    font-weight: 400;
    color: var(--font-color_white_card_barber);
    font-size: 0%;
    margin: 106.5% 0;
    width: 60.6%;
    height: 0%;
    text-align: center;
    border-radius: 0 0 29px 29px;
    animation: animation_page3-master4 1s linear 0.5;
}

.master_1:hover{
    filter: brightness(200%);
}

.master_2:hover{
    filter: brightness(200%);
}

.master_3:hover{
    filter: brightness(200%);
}

.master_4:hover{
    filter: brightness(200%);
}

.master_1:hover .master_1-name{
    padding: 15.6% 10%;
    font-size: 300%;
    animation: animation_page3-master1 1s linear 0.5;
}

.master_2:hover .master_2-name{
    padding: 15.6% 10%;
    font-size: 300%;
    animation: animation_page3-master1 1s linear 0.5;
}

.master_3:hover .master_3-name{
    padding: 15.6% 10%;
    font-size: 300%;
    animation: animation_page3-master1 1s linear 0.5;
}

.master_4:hover .master_4-name{
    padding: 15.7% 10%;
    font-size: 300%;
    animation: animation_page3-master1 1s linear 0.5;
}


@keyframes animation_page3-master1 {
    from,
    to{
        transform: translate(0%, 100%);
    }

    50% {
        transform: translate(0%, 0%);
    }
}

@keyframes animation_page3-master2 {
    from,
    to{
        transform: translate(0%, 100%);
    }

    50% {
        transform: translate(0%, 0rem);
    }
}

@keyframes animation_page3-master3 {
    from,
    to{
        transform: translate(0%, 100%);
    }

    50% {
        transform: translate(0%, 0%);
    }
}

@keyframes animation_page3-master4 {
    from,
    to{
        transform: translate(0%, 100%);
    }

    50% {
        transform: translate(0%, 0%);
    }
}

/*Page 4*/
.Contact{
    display: flex;
}

input, textarea{
    font-family: 'Rosario', sans-serif;
    font-size: 2.3rem;
    font-weight: 700;
}

.contact_title{
    width: 75%;
    font-size: 5.4rem;
    font-style: italic;
    text-align: center;
    margin: 5% 0 0 12%;
}

.contact_table{
    width: 90%;
    height: 50%;
    margin: 2% 12% 0;
    background-color: #E5E5E5;
}

.contact_table1{
    display: flex;
    justify-content: space-around;
}

.user_name{
    background: #FFFFFF;
    width: 120%;
    padding: 8% 0;
    margin: 10% 0 0 -17%;
    border: 1px solid white;
}

.email_address{
    background: #FFFFFF;
    width: 155%;
    padding: 8% 0;
    margin: 10% 0 0 -38%;
    border: 1px solid white;
}

textarea{
    resize: none;
    margin: 1% 4.2%;
    height: 14rem;
    width: 91%;
    border: 1px solid white;
}

.maps{
    margin: 4% 3% 0;
}

/*Footer*/
footer{
    display: flex;
    justify-content: space-around;
    margin: -2% 2% 2% 2%;
}

.style-italic{
    font-style: italic;
}

.footer_block1{
    width: 22%;
    font-size: 1.8rem;
    text-align: center;
}

.footer_block2{
    width: 22%;
    font-size: 1.8rem;
    text-align: center;
}

.title_footer_block2-2{
    font-size: 2.2rem;
}

.footer_block3{
    width: 20%;
    font-size: 1.8rem;
}

.title_footer_block2-3{
    font-size: 2rem;
}

.title_footer_block2-3-text_img{
    margin-top: -6%;
}

.instagram_block{
    margin: 0 8%;
}

.facebook_block{
    margin: 0 7.1%;
}

.twitter_block{
    margin: 0 7.6%;
}

.instagram_img{
    width: 6%;
    margin: 0 2%;
}

.facebook_img{
    width: 8%;
    margin: 0 2%;
}

.twitter_img{
    width: 7%;
    margin: 0 2%;
}

    /*width >1620px*/
@media screen and (min-width: 1620px) {
    header {
        margin: 0 2%;
    }

    main {
        margin: 0 2%;   
    }

    footer{
        margin: -2% 2% 2% 2%;
    }
}

    /*width <992px*/
@media screen and (max-width: 992px) {
    /*header*/
    header {
        height: 9vh !important;
        font-size: 1.8rem;
    }

    .logo > img{
        width: 100%;
    }
    /*page1*/

    .block_cards_center1-1{
        padding: 0.5% 0%;
    }
    
    .block_cards_center1-2{
        padding: 0.5% 0%;
    }
    
    
    .block_cards_center1 > img{
        width: 35%;
        margin: 50% 0% 0 8%;
    }
    
    .block_cards_center2 > img{
        width: 35%;
        margin: 0% 0% 0 8%;
    }
    
    .block_cards1 > img{
        width: 80%;
        margin: 5% 145%;
    }
    
    .block_cards2 > img{
        width: 80%;
        margin: 5% -125%;
    }

    /*page2*/
    .Services{
        display: flex;
        flex-direction: column-reverse;
        justify-content: center;
        align-items: center;
    }

    .type_of_haircut_block_one{
        margin: 0% -3% 0% 0%;
        display: flex;
        justify-content: center;
    }
    
    .type_of_haircut_block_two{
        margin: 0% -3% 0% 0%;
        display: flex;
        justify-content: center;
    }
    
    .type_of_haircut{
        margin: 0% 0% 0 20%;
    }

    .type_of_haircut2{
        margin: 0% 0%;
    }

    .type_of_haircut3{
        margin: 2% 0 0 20%;
    }

    .type_of_haircut4{
        margin: 2% 0%;
    }

    .type_of_haircut > img{
        width: 35%;
    }
    
    .type_of_haircut2 > img{
        width: 35%;
    }
    
    .type_of_haircut3 > img{
        width: 35%;
    }
    
    .type_of_haircut4 > img{
        width: 35%;
    }
    
    .type_of_haircut > p{
        font-size: 1.5rem;
        margin: 2% 10% 10%; 
    }
    
    .type_of_haircut2 > p{
        font-size: 1.5rem;
        margin: 2% 10% 10%; 
    }
    
    .type_of_haircut3> p{
        font-size: 1.5rem;
        margin: 2% 10% 10%; 
    }
    
    .type_of_haircut4 > p{
        font-size: 1.5rem;
        margin: 2% 10% 10%; 
    }
    
    .page2-image >img{
        width: 30rem;
        height: 30rem;
        margin-top: 16%;
    }
    
    @keyframes animation_page2-1 {
        from,
        to{
            transform: translate(0, 0);
        }
    
        25% {
            transform: translate(28rem, 0);
        }
    
        50% {
            transform: translate(28rem, -16.5rem);
        }
    
        75% {
            transform: translate(0rem, -16.5rem);
        }
    }
    
    @keyframes animation_page2-2 {
        from,
        to{
            transform: translate(0, 0);
        }
    
        25% {
            transform: translate(0, -16.5rem);
        }
    
        50% {
            transform: translate(-28rem, -16.5rem);
        }
    
        75% {
            transform: translate(-28rem, 0rem);
        }
    }
    
    @keyframes animation_page2-3 {
        from,
        to{
            transform: translate(0, 0);
        }
    
        25% {
            transform: translate(0, 16.5rem);
        }
    
        50% {
            transform: translate(28rem, 16.5rem);
        }
    
        75% {
            transform: translate(28rem, 0);
        }
    }
    
    @keyframes animation_page2-4 {
        from,
        to{
            transform: translate(0, 0);
        }
    
        25% {
            transform: translate(-28rem, 0);
        }
    
        50% {
            transform: translate(-28rem, 16.5rem);
        }
    
        75% {
            transform: translate(0, 16.5rem);
        }
    }

    /*page3*/
    .team_title {
        font-size: 5rem;
        text-align: center;
        margin-top: 2% 2% 2% 2%;
    }

    .masters{
        display: inline-block;
        margin: auto;
    }

    .master_1{
        background-size: 76%;
        width: 20rem;
        height: 30rem;
        margin: 5% 0% 0 135%;
        display: block;
    }
    .master_2{
        background-size: 74%;
        width: 20rem;
        height: 30rem;
        margin: -150% 0% 0 275%;
        display: block;
    }
    .master_3{
        background-size: 75.2%;
        width: 20rem;
        height: 30rem;
        margin: -18% 0% 0 135%;
        display: block;
    }
    .master_4 {
        background-size: 75.2%;
        width: 20rem;
        height: 30rem;
        margin: -149% 0% 0 275%;
        display: block;
    }

    .master_1:hover .master_1-name{
        padding: 15.6% 7%;
    }
    
    .master_2:hover .master_2-name{
        padding: 15.6% 7.5%;
    }
    
    .master_3:hover .master_3-name{
        padding: 15.6% 7%;
    }
    
    .master_4:hover .master_4-name{
        padding: 15.6% 7.5%;
    }

    .master_1-name{
        margin: 96.5% 0;
        border-radius: 0 0 15px 15px;
        display: inline-block;

    }
    
    .master_2-name{
        margin: 97% 0;
        border-radius: 0 0 15px 15px;
        display: inline-block;
    }
    
    .master_3-name{
        margin: 96.5% 0;
        border-radius: 0 0 15px 15px;
        display: inline-block;
    }
    
    .master_4-name{
        margin: 97% 0;
        border-radius: 0 0 15px 15px;
        display: inline-block;
    }

    .master_1:hover .master_1-name{
        padding: 15.6% 7.1%;
        font-size: 220%;
    }
    
    .master_2:hover .master_2-name{
        padding: 15.6% 7.2%;
        font-size: 220%;
    }
    
    .master_3:hover .master_3-name{
        padding: 15.6% 7.1%;
        font-size: 220%;
    }
    
    .master_4:hover .master_4-name{
        padding: 15.7% 7.3%;
        font-size: 220%;
    }
    

    /*page4*/
    .Contact{
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .contact_title{
        width: 75%;
        font-size: 4rem;
        margin: 2% 0 0 12%;
    }

    .contact_table{
        width: 100%;
        height: 60%;
        margin: 2% 3% 0;
    }
    
    .user_name{
        width: 120%;
        padding: 2% 0;
        margin: 5% 0 0% -26%;
    }
    
    .email_address{
        width: 190%;
        padding: 2% 0;
        margin: 5% 0 0% -64%;
    }
    
    textarea{
        resize: none;
        margin: 0% 2.5%;
        height: 9rem;
        width: 94%;
    }
    
    input, textarea{
        font-size: 1.8rem;
    }
    iframe{
        width: 600px;
        height: 180px;
        margin: -2% 3% 0;
    }

    /*Footer*/
    footer {
        margin: -2% 2% 2% 2%;
    }

    .footer_block1{
        font-size: 1.4rem;
    }
    
    .footer_block2{
        font-size: 1.4rem;
    }
    
    .title_footer_block2-2{
        font-size: 1.8rem;
    }

    .title_footer_block2-3{
        font-size: 1.4rem;
    }
    
    .footer_block3{
        font-size: 1.4rem;
    }
}

    /*width <768px*/
@media screen and (max-width: 768px) {
    main{
    }

    header {
        height: 8vh !important;
        font-size: 1.4rem;
    }

    .logo > img{
        width: 100%;
    }

    .nav_header{
        width: 60%;
    }

    /*Page1*/
    .block_cards_center1-1{
        padding: 0.5% 0%;
    }
    
    .block_cards_center1-2{
        padding: 0.5% 0%;
    }
    
    
    .block_cards_center1 > img{
        width: 42%;
        margin: 65% 5% 0 2.5%;
    }
    
    .block_cards_center2 > img{
        width: 42%;
        margin: 1% 5% 0 2.5%;
    }
    
    
    .block_cards1 > img{
        width: 110%;
        margin: 5% 124%;
    }
    
    .block_cards2 > img{
        width: 110%;
        margin: 5% -128%;
    }

    /*Page2*/
    .type_of_haircut_block_one{
        margin: 0 7% 0 0%;
    }

    .type_of_haircut_block_two{
        margin: 0 7% 0 0%;
    }

    .page2-image > img{
        height: 0;
        width: 0;
    }

    .type_of_haircut{
        margin: 0% 0% 0% 20%;
    }

    .type_of_haircut2{
        margin: 0% 0%;
    }

    .type_of_haircut3{
        margin: 0% 0% 0% 20%;
    }

    .type_of_haircut4{
        margin: 0% 0%;
    }

    .type_of_haircut > img{
        width: 70%;
    }
    
    .type_of_haircut2 > img{
        width: 70%;
    }
    
    .type_of_haircut3 > img{
        width: 70%;
    }
    
    .type_of_haircut4 > img{
        width: 70%;
    }
    
    .type_of_haircut > p{
        font-size: 3rem;
        margin: 2% 10% 10%; 
    }
    
    .type_of_haircut2 > p{
        font-size: 3rem;
        margin: 2% 10% 10%; 
    }
    
    .type_of_haircut3> p{
        font-size: 3rem;
        margin: 2% 10% 10%; 
    }
    
    .type_of_haircut4 > p{
        font-size: 3rem;
        margin: 2% 10% 10%; 
    }

    @keyframes animation_page2-1 {
    from,
    to{
        transform: translate(0, 0);
    }

    25% {
        transform: translate(28rem, 0);
    }

    50% {
        transform: translate(28rem, -27rem);
    }

    75% {
        transform: translate(0rem, -27rem);
    }
}

@keyframes animation_page2-2 {
    from,
    to{
        transform: translate(0, 0);
    }

    25% {
        transform: translate(0, -27rem);
    }

    50% {
        transform: translate(-28rem, -27rem);
    }

    75% {
        transform: translate(-27rem, 0);
    }
}

@keyframes animation_page2-3 {
    from,
    to{
        transform: translate(0, 0);
    }

    25% {
        transform: translate(0, 27rem);
    }

    50% {
        transform: translate(28rem, 27rem);
    }

    75% {
        transform: translate(28rem, 0);
    }
}

@keyframes animation_page2-4 {
    from,
    to{
        transform: translate(0, 0);
    }

    25% {
        transform: translate(-28rem, 0);
    }

    50% {
        transform: translate(-28rem, 27rem);
    }

    75% {
        transform: translate(0, 28rem);
    }
}

    /*Page3*/

    .master_1{
        background-size: 76%;
        width: 20rem;
        height: 30rem;
        margin: 5% 0% 0 100%;
        display: block;
    }
    .master_2{
        background-size: 74%;
        width: 20rem;
        height: 30rem;
        margin: -150% 0% 0 210%;
        display: block;
    }
    .master_3{
        background-size: 75.2%;
        width: 20rem;
        height: 30rem;
        margin: -18% 0% 0 100%;
        display: block;
    }
    .master_4 {
        background-size: 75.2%;
        width: 20rem;
        height: 30rem;
        margin: -149% 0% 0 210%;
        display: block;
    }
    
    /*Page4*/
    iframe{
        height: 160px;
        margin: -2% 3% 0;
    }

    /*Footer*/
    footer {
        margin: -3% 2% 2% 2%;
    }
}